Bug 503728 - Channel Subscription UI bug for virt. guests whose host is not known to RHN
Channel Subscription UI bug for virt. guests whose host is not known to RHN
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Channels (Show other bugs)
RHN Stable
All Linux
low Severity medium
: ---
: ---
Assigned To: Sebastian Skracic
Red Hat Network Quality Assurance
US=89801
:
Depends On:
Blocks: rhn-sprint25
  Show dependency treegraph
 
Reported: 2009-06-02 08:33 EDT by Sebastian Skracic
Modified: 2009-08-10 09:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-10 09:02:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sebastian Skracic 2009-06-02 08:33:51 EDT
Description of problem:

The Channel Subscription page shows inaccurate text about host entitlements
for virtual guests with their host not registered to RHN.  Red asterisks are shown as well as misleading text "Applying a different virtual system entitlement to the host system will affect which channels have this mark".  In addition the text is hyperlinked to a non-existing URL.

How reproducible:

Always.


Steps to Reproduce:

1.  Go to https://rhn.redhat.com/rhn/systems/details/SystemChannels.do?sid=1014806699
  
Actual results:

Some of the channel names are marked with a red asterisk, indicating they depend on the channel entitlements of the host system.  The text is hyperlinked to https://rhn.redhat.com/rhn/systems/details/SystemChannels.do?sid=

Expected results:

The virtual guest subscribed channel listing should display neither red asterisks nor the remark about host system.

Additional info:
Comment 1 Sebastian Skracic 2009-06-02 09:21:03 EDT
Fixed in 4f1d47b180a708e35753289b7e49c6573ad1b413.
Comment 2 Sebastian Skracic 2009-06-03 04:05:15 EDT
Successfully landed on dev.
Comment 3 Denise Hughes 2009-06-05 13:42:42 EDT
Verified in webdev.

This system has a known host therefore it should display the text and asterisks.
https://rhn.webdev.redhat.com/rhn/systems/details/SystemChannels.do?sid=1014653801


This system does not have a known host and should not display the text and asterisks.
https://rhn.webdev.redhat.com/rhn/systems/details/SystemChannels.do?sid=1014653789
Comment 4 Denise Hughes 2009-07-29 10:37:41 EDT
Verified in webqa.

Note You need to log in before you can comment on or make changes to this bug.